Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.util
Interface NSName

All Known Subinterfaces:
  NSName

All Known Implementing Classes:
  XMLAttr, XMLDocument, XMLDocumentFragment, XMLElement

      public interface NSName

This interface provides Namespace support for Element and Attr names

Method Summary
`java.lang.String` `getExpandedName()` Get the fully resolved name for this name
`java.lang.String` `getLocalName()` Get the local name for this name
`java.lang.String` `getNamespace()` Get the resolved Namespace for this name
`java.lang.String` `getPrefix()` Get the prefix for this name
`java.lang.String` `getQualifiedName()` Get the qualified name

Method Detail

### getQualifiedName

    java.lang.String getQualifiedName()

  Get the qualified name
  Returns:
    The qualified name

### getNamespace

    java.lang.String getNamespace()

  Get the resolved Namespace for this name
  Returns:
    The resolved Namespace

### getPrefix

    java.lang.String getPrefix()

  Get the prefix for this name
  Returns:
    The prefix

### getLocalName

    java.lang.String getLocalName()

  Get the local name for this name
  Returns:
    The local name

### getExpandedName

    java.lang.String getExpandedName()

  Get the fully resolved name for this name
  Returns:
    The fully resolved name

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.